.btn-inline {
    border: none;
    color: var(--color-primary);
    font-size: inherit;
    border-bottom: 1px solid currentColor;
    padding: 0 0 2px;
    display: inline-block;
    background-color: transparent;
    cursor: pointer;
    transition: all .2s;

    & span{
        margin: 0 0 0 .3rem;
        transition: margin .2s;
    }

    &:hover {
        color: var(--color-dark-grey-1);

        span{
            margin: 0 0 0 .8rem;
        }
    }

    &:focus {
        outline: none;
        animation: pulsate 1s infinite;
    }
}


.btn{
    color: var(--color-white);
    font-size: 1.5rem;
    font-weight: 300;
    text-transform: uppercase;
    border-radius: 100px;
    border: none;
    background-image: linear-gradient(to right, var(--color-primary-light), var(--color-primary-dark));

    position: relative;
    overflow: hidden;
    cursor: pointer;

    & > * {
        display: inline-block;
        height: 100%;
        width: 100%;
        transition: all .2s;
    }

    &__visible{
        padding: 2rem 7.5rem;
    }

    &__invisible{
       padding: 2rem 0;
       position: absolute;
       left: 0;
       top: -100%;
    }

    &:hover{
        background-image: linear-gradient(to left, var(--color-primary-light), var(--color-primary-dark));
    }

    &:hover &__visible{
        transform: translateY(100%);
    }   

    &:hover &__invisible{
        top: 0;
    }

    &:focus{
        outline: none;
        animation: pulsate 1s infinite;
    }
}